﻿using CarpentryWorkshopContracts.BindingModels;
using CarpentryWorkshopContracts.SearchModels;
using CarpentryWorkshopContracts.ViewModels;

namespace CarpentryWorkshopContracts.BusinessLogicsContracts
{
    public interface IWoodLogic
    {
        List<WoodViewModel>? ReadList(WoodSearchModel? model);
        WoodViewModel? ReadElement(WoodSearchModel model);
        bool Create(WoodBindingModel model);
        bool Update(WoodBindingModel model);
        bool Delete(WoodBindingModel model);
    }
}