﻿using CarpentryWorkshopContracts.BindingModels;
using CarpentryWorkshopContracts.SearchModels;
using CarpentryWorkshopContracts.ViewModels;

namespace CarpentryWorkshopContracts.StoragesContracts
{
    public interface IWoodStorage
    {
        List<WoodViewModel> GetFullList();
        List<WoodViewModel> GetFilteredList(WoodSearchModel model);
        WoodViewModel? GetElement(WoodSearchModel model);
        WoodViewModel? Insert(WoodBindingModel model);
        WoodViewModel? Update(WoodBindingModel model);
        WoodViewModel? Delete(WoodBindingModel model);
    }
}