﻿using CarpentryWorkshopDataModels.Enums;

namespace CarpentryWorkshopDataModels.Models
{
    public interface IOrderModel : IId
    {
        int WoodId { get; }

        int Count { get; }

        double Sum { get; }

        OrderStatus Status { get; }

        DateTime DateCreate { get; }

        DateTime? DateImplement { get; }
    }
}
